<template>
    <div class="col-12">
        <h2>Gestion des Clients</h2>
        <br>
        <router-link :to="{path:'new'}" append>
            <button class="btn btn-info float-right but">Nouveau Client</button>
    
        </router-link>
        <table class="table table-hover">
            <thead>
                <tr>
                    <th>Nom</th>
                    <th>Prénom</th>
                    <th>Email</th>
                    <th>Téléphone</th>
                    <th>Société</th>
                    <th>Fonction</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="user in clients">
                    <td>{{user.lastname}}</td>
                    <td>{{user.firstname}}</td>
                    <td>{{user.email}}</td>
                    <td>{{user.phone}}</td>
                    <td>{{user.company.name}}</td>
                    <td>{{user.function}}</td>
                    <td>
                        <router-link :to="{ path:user._id+ '/edit'}" append>
                            <button class="btn btn-info">Modifier</button>
                        </router-link>
                    </td>
                </tr>
            </tbody>
        </table>
    
    </div>
</template>

<script>
export default {
    computed: {
        clients() {
            return this.$store.getters.getAllClients;
        }
    },
    created() {
        this.$store.dispatch('setAllClients');
    }
}
</script>

<style>
.but {
    margin-bottom: 30px;
}
</style>
